juzu.bridge.portlet

## Class JuzuPortlet

- java.lang.Object
- - juzu.bridge.portlet.JuzuPortlet

- All Implemented Interfaces:
    EventPortlet, Portlet, ResourceServingPortlet

      public class JuzuPortlet
      extends Object
      implements Portlet, ResourceServingPortlet, EventPortlet

  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PropertyType<PortletMode>` | `PORTLET_MODE` .
    `static PropertyType<WindowState>` | `WINDOW_STATE` .

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JuzuPortlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()`
    `void` | `init(PortletConfig config)`
    `void` | `processAction(ActionRequest req, ActionResponse resp)`
    `void` | `processEvent(EventRequest request, EventResponse response)`
    `void` | `render(RenderRequest req, RenderResponse resp)`
    `void` | `serveResource(ResourceRequest req, ResourceResponse resp)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PORTLET_MODE

          public static final PropertyType<PortletMode> PORTLET_MODE

      .

    - #### WINDOW_STATE

          public static final PropertyType<WindowState> WINDOW_STATE

      .

  - ### Constructor Detail

    - #### JuzuPortlet

          public JuzuPortlet()

  - ### Method Detail

    - #### init

          public void init(PortletConfig config)
                    throws PortletException

      Specified by:
        `init` in interface `Portlet`
      Throws:
        `PortletException`

    - #### processAction

          public void processAction(ActionRequest req,
                           ActionResponse resp)
                             throws PortletException,
                                    IOException

      Specified by:
        `processAction` in interface `Portlet`
      Throws:
        `PortletException`
        `IOException`

    - #### processEvent

          public void processEvent(EventRequest request,
                          EventResponse response)
                            throws PortletException,
                                   IOException

      Specified by:
        `processEvent` in interface `EventPortlet`
      Throws:
        `PortletException`
        `IOException`

    - #### render

          public void render(RenderRequest req,
                    RenderResponse resp)
                      throws PortletException,
                             IOException

      Specified by:
        `render` in interface `Portlet`
      Throws:
        `PortletException`
        `IOException`

    - #### serveResource

          public void serveResource(ResourceRequest req,
                           ResourceResponse resp)
                             throws PortletException,
                                    IOException

      Specified by:
        `serveResource` in interface `ResourceServingPortlet`
      Throws:
        `PortletException`
        `IOException`

    - #### destroy

          public void destroy()

      Specified by:
        `destroy` in interface `Portlet`

Copyright © 2013 eXo Platform SAS. All Rights Reserved.